unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  BusinessSkinForm, bsSkinCtrls, bsribbon, bsMessages, bsSkinShellCtrls,
  bsSkinMenus, ImgList, bsPngImageList, Menus, bsSkinData, bsSkinHint,
  bsColorCtrls, bsSkinExCtrls, StdCtrls, ExtCtrls, bsSkinBoxCtrls,
  bsDialogs, ChildUnit;

type
  TForm1 = class(TForm)
    bsRibbonPage2: TbsRibbonPage;
    bsRibbonPage1: TbsRibbonPage;
    bsRibbonGroup1: TbsRibbonGroup;
    bsRibbonGroup2: TbsRibbonGroup;
    bsAppMenu1: TbsAppMenu;
    bsAppMenuPage2: TbsAppMenuPage;
    bsBusinessSkinForm1: TbsBusinessSkinForm;
    bsSkinData1: TbsSkinData;
    bsSkinHint1: TbsSkinHint;
    bsCompressedSkinList1: TbsCompressedSkinList;
    bsResourceStrData1: TbsResourceStrData;
    bsSkinPopupMenu1: TbsSkinPopupMenu;
    Windows: TMenuItem;
    bsPngImageList1: TbsPngImageList;
    bsPngImageList4: TbsPngImageList;
    bsPngImageList5: TbsPngImageList;
    bsSkinMessage1: TbsSkinMessage;
    bsSkinSpeedButton3: TbsSkinSpeedButton;
    bsSkinSpeedButton4: TbsSkinSpeedButton;
    bsSkinSpeedButton5: TbsSkinSpeedButton;
    bsSkinStatusBar1: TbsSkinStatusBar;
    bsSkinStatusPanel2: TbsSkinStatusPanel;
    bsRibbonGroup3: TbsRibbonGroup;
    bsRibbonGroup4: TbsRibbonGroup;
    bsRibbonDivider3: TbsRibbonDivider;
    bsSkinOfficeComboBox1: TbsSkinOfficeComboBox;
    bsSkinComboBox1: TbsSkinComboBox;
    bsSkinStdLabel3: TbsSkinStdLabel;
    bsSkinStdLabel4: TbsSkinStdLabel;
    bsAppMenuPage4: TbsAppMenuPage;
    bsSkinLabel3: TbsSkinLabel;
    bsAppMenuPageListBox2: TbsAppMenuPageListBox;
    bsSkinPopupMenu2: TbsSkinPopupMenu;
    N6: TMenuItem;
    N7: TMenuItem;
    Selectskin2: TMenuItem;
    bsSelectSkinsFromFoldersDialog1: TbsSelectSkinsFromFoldersDialog;
    Showlayeredborders1: TMenuItem;
    bsSkinLabel2: TbsSkinLabel;
    N1: TMenuItem;
    bsSkinPanel1: TbsSkinPanel;
    bsSkinVistaGlowLabel1: TbsSkinVistaGlowLabel;
    bsSkinStdLabel1: TbsSkinStdLabel;
    bsSkinLinkLabel1: TbsSkinLinkLabel;
    bsSkinLinkLabel2: TbsSkinLinkLabel;
    bsSkinStdLabel2: TbsSkinStdLabel;
    bsRibbonDivider1: TbsRibbonDivider;
    bsSkinSpeedButton7: TbsSkinSpeedButton;
    bsSkinSpeedButton8: TbsSkinSpeedButton;
    bsSkinSpeedButton9: TbsSkinSpeedButton;
    bsSkinSpeedButton10: TbsSkinSpeedButton;
    CloseAll2: TMenuItem;
    bsSkinMDITabsBar1: TbsSkinMDITabsBar;
    ShowMDITabsBar1: TMenuItem;
    Cascade1: TMenuItem;
    ileHorizontal1: TMenuItem;
    ileVertical1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    bsRibbon1: TbsRibbon;
    N4: TMenuItem;
    procedure bsRibbonGroup1DialogButtonClick(Sender: TObject);
    procedure bsSkinSpeedButton3Click(Sender: TObject);
    procedure bsSkinSpeedButton4Click(Sender: TObject);
    procedure bsSkinSpeedButton5Click(Sender: TObject);
    procedure bsAppMenu1Items5Click(Sender: TObject);
    procedure bsAppMenu1HideMenu(Sender: TObject);
    procedure Selectskin2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Showlayeredborders1Click(Sender: TObject);
    procedure bsSkinSpeedButton7Click(Sender: TObject);
    procedure CloseAll2Click(Sender: TObject);
    procedure ShowMDITabsBar1Click(Sender: TObject);
    procedure Cascade1Click(Sender: TObject);
    procedure ileVertical1Click(Sender: TObject);
    procedure ileHorizontal1Click(Sender: TObject);
    procedure bsSkinMDITabsBar1TabMouseEnter(MDITab: TbsMDITab);
    procedure bsSkinMDITabsBar1TabMouseLeave(MDITab: TbsMDITab);
    procedure bsRibbon1KeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
    Count: Integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  
implementation

{$R *.DFM}

procedure TForm1.bsRibbonGroup1DialogButtonClick(Sender: TObject);
begin
  if bsSelectSkinsFromFoldersDialog1.Execute('', bsSelectSkinsFromFoldersDialog1.SkinName, 'skn')
  then
    bsSkinData1.LoadFromCompressedFile(bsSelectSkinsFromFoldersDialog1.FileName);
end;

procedure TForm1.bsSkinSpeedButton3Click(Sender: TObject);
begin
  bsSkinData1.SkinIndex := 0;
end;

procedure TForm1.bsSkinSpeedButton4Click(Sender: TObject);
begin
  bsSkinData1.SkinIndex := 1;
end;

procedure TForm1.bsSkinSpeedButton5Click(Sender: TObject);
begin
  bsSkinData1.SkinIndex := 2;
end;

procedure TForm1.bsAppMenu1Items5Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.bsAppMenu1HideMenu(Sender: TObject);
begin
  bsRibbon1.SetFocus;
end;

procedure TForm1.Selectskin2Click(Sender: TObject);
begin
  if bsSelectSkinsFromFoldersDialog1.Execute('', bsSelectSkinsFromFoldersDialog1.SkinName, 'skn')
  then
    bsSkinData1.LoadFromCompressedFile(bsSelectSkinsFromFoldersDialog1.FileName);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Count := 0;
end;

procedure TForm1.Showlayeredborders1Click(Sender: TObject);
begin
  Showlayeredborders1.Checked := not Showlayeredborders1.Checked;
  bsSkinData1.ShowLayeredBorders := Showlayeredborders1.Checked;
end;

procedure TForm1.bsSkinSpeedButton7Click(Sender: TObject);
var
  Child: TChildForm;
begin
  Inc(Count);
  Child := TChildForm.Create(Self);
  Child.Caption := Child.Caption + ' ' + IntToStr(Count);
end;

procedure TForm1.CloseAll2Click(Sender: TObject);
begin
  bsBusinessSkinForm1.CloseAll;
end;

procedure TForm1.ShowMDITabsBar1Click(Sender: TObject);
begin
  ShowMDITabsBar1.Checked := not ShowMDITabsBar1.Checked;
  bsSkinMDITabsBar1.Visible := ShowMDITabsBar1.Checked;
end;

procedure TForm1.Cascade1Click(Sender: TObject);
begin
  bsBusinessSkinForm1.Cascade;
end;

procedure TForm1.ileVertical1Click(Sender: TObject);
begin
  bsBusinessSkinForm1.TileMode := tbVertical;
  bsBusinessSkinForm1.Tile;
end;

procedure TForm1.ileHorizontal1Click(Sender: TObject);
begin
  bsBusinessSkinForm1.TileMode := tbHorizontal;
  bsBusinessSkinForm1.Tile;
end;

procedure TForm1.bsSkinMDITabsBar1TabMouseEnter(MDITab: TbsMDITab);
begin
  bsSkinStatusPanel2.Caption := MDITab.Child.Caption;
end;

procedure TForm1.bsSkinMDITabsBar1TabMouseLeave(MDITab: TbsMDITab);
begin
  bsSkinStatusPanel2.Caption := '';
end;

procedure TForm1.bsRibbon1KeyPress(Sender: TObject; var Key: Char);
begin
   if (Key = 'F') or (Key = 'f') and not bsRibbon1.AppMenu.Visible
  then
    begin
      if not bsRibbon1.AppMenu.Visible then bsRibbon1.ShowAppMenu;
     end
  else
  if (Key = 'A') or (Key = 'a')
  then
    begin
      bsRibbon1.ActivePage := bsRibbonPage1;
     end
  else
  if (Key = 'B') or (Key = 'b') 
  then
    begin
      bsRibbon1.ActivePage := bsRibbonPage2;
     end;
end;

end.
