unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  bsSkinCtrls, bsSkinData, BusinessSkinForm, ImgList, bsPngImageList,
  bsSkinBoxCtrls, bsSkinMenus, bsCategoryButtons, ExtCtrls,
  bsSkinHint, ComCtrls, bsSkinTabs, bsSkinExCtrls, bsMessages,
  bsSkinShellCtrls;

type
  TForm1 = class(TForm)
    bsBusinessSkinForm1: TbsBusinessSkinForm;
    bsSkinData1: TbsSkinData;
    bsCompressedStoredSkin1: TbsCompressedStoredSkin;
    bsPNGImageList1: TbsPNGImageList;
    bsSkinMenuSpeedButton1: TbsSkinMenuSpeedButton;
    bsSkinImagesMenu1: TbsSkinImagesMenu;
    bsPNGImageList2: TbsPNGImageList;
    bsSkinCategoryButtons1: TbsSkinCategoryButtons;
    bsSkinTextLabel1: TbsSkinTextLabel;
    bsPNGImageList3: TbsPNGImageList;
    bsSkinComboBoxEx1: TbsSkinComboBoxEx;
    bsSkinHint1: TbsSkinHint;
    bsSkinPageControl1: TbsSkinPageControl;
    bsSkinTabSheet1: TbsSkinTabSheet;
    bsSkinTabSheet2: TbsSkinTabSheet;
    bsSkinTabSheet3: TbsSkinTabSheet;
    bsSkinTabSheet4: TbsSkinTabSheet;
    bsSkinCheckRadioBox1: TbsSkinCheckRadioBox;
    bsPngImageView1: TbsPngImageView;
    bsSkinButtonLabel1: TbsSkinButtonLabel;
    bsPngImageStorage1: TbsPngImageStorage;
    bsSkinButtonEx1: TbsSkinButtonEx;
    bsSkinMessage1: TbsSkinMessage;
    bsOpenSkinDialog1: TbsOpenSkinDialog;
    bsSkinOfficeListBox1: TbsSkinOfficeListBox;
    bsPngImageList4: TbsPngImageList;
    procedure bsSkinCheckRadioBox1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure bsPngImageView1MouseEnter(Sender: TObject);
    procedure bsPngImageView1MouseLeave(Sender: TObject);
    procedure bsSkinButtonEx1Click(Sender: TObject);
  private
    { Private declarations }
    procedure LoadSkin(AFileName: String);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.bsSkinCheckRadioBox1Click(Sender: TObject);
begin
  bsSkinButtonEx1.Enabled := bsSkinCheckRadioBox1.Checked;
  bsSkinMenuSpeedButton1.Enabled := bsSkinCheckRadioBox1.Checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  bsSkinComboBoxEx1.ItemIndex := 0;
end;

procedure TForm1.bsPngImageView1MouseEnter(Sender: TObject);
begin
  bsPngImageView1.ImageIndex := 1;
end;

procedure TForm1.bsPngImageView1MouseLeave(Sender: TObject);
begin
  bsPngImageView1.ImageIndex := 0;
end;

procedure TForm1.LoadSkin(AFileName: String);
var
  Dir: String;
  Ext: String;
begin
  Ext := ExtractFileExt(AFileName);
  if LowerCase(Ext) = '.ini'
  then
    bsSkinData1.LoadFromFile(AFileName)
  else
  if LowerCase(Ext) = '.skn'
  then
    bsSkinData1.LoadFromCompressedFile(AFileName);
  Dir := ExtractFilePath(AFileName);
end;


procedure TForm1.bsSkinButtonEx1Click(Sender: TObject);
begin
  bsBusinessSkinForm1.ShowClientInActiveEffect;
  if bsOpenSkinDialog1.Execute
  then
    LoadSkin(bsOpenSkinDialog1.FileName);
  bsBusinessSkinForm1.HideClientInActiveEffect;
end;

end.
